#
# spec file for package golang
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         fitstar
%global repo            falcore
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0.0.0+git20161013.63e3547
Release:        3.1
Summary:        Falcore is a filter pipiline based HTTP server library
License:        MIT
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

%{go_nostrip}
%{go_provides}

%description
Falcore is a framework for constructing high performance, modular HTTP servers in Golang.
Falcore is a filter pipeline based HTTP server library. You can build arbitrarily
complicated HTTP services by chaining just a few simple components

%prep
%setup -q -n %{repo}-%{version}

# do not build these examples
rm -rf examples

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%check
%gotest %{import_path}...

%files -f file.lst
%defattr(-,root,root,-)
%doc README.md LICENSE.md

%changelog
* Thu Dec  8 2016 tboerger@suse.com
- Update to version 0.0.0+git20161013.63e3547:
  * gofmt
  * - Checkout fixed example from ngmoco
  * - Update github reference and change Simpe to StringResponse
  * body on http.Response should never be nil. leave the zero-length strings.NewReader intact
  * fixing the percentages on the trace
  * make sure to drop transfer encoding since we dropped the body
  * don't allocate headers when they're already provided
  * removed debug etag test error
  * don't crash if the upstream pool is empty
  * make content length behavior match
* Thu Dec  8 2016 tboerger@suse.com
- Refactoring based on new packaging proposal
* Sat Jul 25 2015 i@marguerite.su
- rename to golang-github-fitstar-falcore
- update version 0.0.0+git20150708.286078d
- use golang-packaging for packaging
* Tue Aug 13 2013 speilicke@suse.com
- Update to version 0.0.0+git20130807.da39923:
  + Upstream provides no changelog
- Add _service file
* Tue Aug 13 2013 speilicke@suse.com
- Use %%{go_exclusivearch} macro
* Sat Jun 29 2013 graham@andtech.eu
- Update to latest git version
* Sun Aug 19 2012 graham@andtech.eu
- Issue #29
  - Mime type lookup fails for RHEL6 and it's clones. mime types
    tested for are now guaranteed to be in the lookup table.
* Tue Aug 14 2012 graham@andtech.eu
- Support for sendfile on linux/bsd
  Additional net/http handler
  Windows build fixes
* Mon Apr  2 2012 graham@andtech.eu
- initial package
